Skip to main content
GET
/
api
/
v1
/
trace
/
{correlation_id}
Trace'i getir
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/trace/{correlation_id} \
  --header 'Authorization: Bearer <token>'
{
  "correlation_id": "<string>",
  "summary": {
    "transaction_ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "first_event_at": "2023-11-07T05:31:56Z",
    "last_event_at": "2023-11-07T05:31:56Z",
    "payment_request_count": 123,
    "api_request_count": 123,
    "webhook_count": 123,
    "transaction_history_count": 123,
    "has_errors": true
  },
  "events": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "subtitle": "<string>",
      "is_success": true,
      "error_message": "<string>",
      "details": {},
      "request_body": "<string>",
      "response_body": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

correlation_id
string
required

Response

OK

correlation_id
string | null
summary
object
events
object[] | null